Create an asynchronous video generation job
curl --request POST \
--url https://nsfw-api.net/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "w3.0-video",
"prompt": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'w3.0-video', prompt: '<string>'})
};
fetch('https://nsfw-api.net/v1/videos/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://nsfw-api.net/v1/videos/generations"
payload = {
"model": "w3.0-video",
"prompt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"object": "generation.job",
"created": 123,
"status": "queued",
"model": "<string>",
"poll_url": "<string>",
"completed": 123,
"reserved_amount": "<string>",
"currency": "USD",
"data": [
{
"url": "<string>"
}
],
"error": {
"code": "<string>",
"message": "<string>"
},
"webhook_signing_secret": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}API Reference
Create a video
Create an asynchronous video generation job.
POST
https://nsfw-api.net
/
v1
/
videos
/
generations
Create an asynchronous video generation job
curl --request POST \
--url https://nsfw-api.net/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "w3.0-video",
"prompt": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'w3.0-video', prompt: '<string>'})
};
fetch('https://nsfw-api.net/v1/videos/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://nsfw-api.net/v1/videos/generations"
payload = {
"model": "w3.0-video",
"prompt": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"object": "generation.job",
"created": 123,
"status": "queued",
"model": "<string>",
"poll_url": "<string>",
"completed": 123,
"reserved_amount": "<string>",
"currency": "USD",
"data": [
{
"url": "<string>"
}
],
"error": {
"code": "<string>",
"message": "<string>"
},
"webhook_signing_secret": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>",
"code": "<string>"
},
"request_id": "<string>"
}Calculates parameter-aware per-second pricing, reserves the maximum charge, and returns an asynchronous video job.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Required string length:
1 - 200Body
application/json
- Option 1
- Option 2
- Option 3
- Option 4
Available options:
w3.0-video Maximum string length:
20000Required string length:
1 - 2048Required string length:
1 - 2048Maximum array length:
10Required string length:
1 - 2048Maximum array length:
5Required string length:
1 - 2048Maximum array length:
5Required string length:
1 - 2048Available options:
480p, 720p, 1080p Available options:
16:9, 4:3, 1:1, 3:4, 9:16, adaptive Required range:
2 <= x <= 30Required range:
0 <= x <= 2147483647Required string length:
1 - 2048Response
Default Response
Pattern:
^job_[A-Za-z0-9_-]{20,64}$Available options:
generation.job Available options:
queued, submitted, processing, succeeded, failed, cancelled, expired, reconciliation_required Pattern:
^[0-9]+\.[0-9]{4}$Available options:
USD Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^whsec_[A-Za-z0-9_-]{43}$Last modified on September 17, 2026